package com.example.smartgarden.rest.model;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class Board {

    @SerializedName("_id")
    private String mId;

    @SerializedName("driver_id")
    private String mDriverId;

    @SerializedName("user_id")
    private String mUserId;

    @SerializedName("name")
    private String mName;

    @SerializedName("devices")
    private List<Device> mDevices;

    /**
     * Get board id
     *
     * @return board id
     */
    public String getId() {
        return mId;
    }

    /**
     * Set board id
     *
     * @param id board id
     */
    public void setId(String id) {
        mId = id;
    }

    /**
     * Get driver id
     *
     * @return driver id
     */
    public String getDriverId() {
        return mDriverId;
    }

    /**
     * Set driver id
     *
     * @param driverId driver id
     */
    public void setDriverId(String driverId) {
        mDriverId = driverId;
    }

    /**
     * Get user id
     *
     * @return user id
     */
    public String getUserId() {
        return mUserId;
    }

    /**
     * Set user id
     *
     * @param userId user id
     */
    public void setUserId(String userId) {
        mUserId = userId;
    }

    /**
     * Get board name
     *
     * @return board name
     */
    public String getName() {
        return mName;
    }

    /**
     * Set board name
     *
     * @param name board name
     */
    public void setName(String name) {
        mName = name;
    }

    /**
     * Get board devices
     *
     * @return board devices
     */
    public List<Device> getDevices() {
        return mDevices;
    }

    /**
     * Set board devices
     *
     * @param devices board devices
     */
    public void setDevices(List<Device> devices) {
        mDevices = devices;
    }

    /**
     * Convert object to string
     *
     * @return board name
     */
    @NonNull
    @Override
    public String toString() {
        return getName();
    }
}

