package com.example.smartgarden.rest.model;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

public class Device {

    @SerializedName("_id")
    private String mId;

    @SerializedName("name")
    private String mName;

    @SerializedName("board_id")
    private String mBoardId;

    @SerializedName("port")
    private Port mPort;

    @SerializedName("type")
    private String mType;

    @SerializedName("latest_value")
    private Integer mLatestValue;

    /**
     * Get device id
     *
     * @return device id
     */
    public String getId() {
        return mId;
    }

    /**
     * Set device id
     *
     * @param id device id
     */
    public void setId(String id) {
        mId = id;
    }

    /**
     * Get device name
     *
     * @return device name
     */
    public String getName() {
        return mName;
    }

    /**
     * Set device name
     *
     * @param name device name
     */
    public void setName(String name) {
        mName = name;
    }

    /**
     * Get board id
     *
     * @return board id
     */
    public String getBoardId() {
        return mBoardId;
    }

    /**
     * Set board id
     *
     * @param boardId board id
     */
    public void setBoardId(String boardId) {
        mBoardId = boardId;
    }

    /**
     * Get device port
     *
     * @return device port
     */
    public Port getPort() {
        return mPort;
    }

    /**
     * Set device port
     *
     * @param port device port
     */
    public void setPort(Port port) {
        mPort = port;
    }

    /**
     * Get device type
     *
     * @return device id
     */
    public String getType() {
        return mType;
    }

    /**
     * Set device type
     *
     * @param type
     */
    public void setType(String type) {
        mType = type;
    }

    /**
     * Get device latest value
     *
     * @return device latest value
     */
    public Integer getLatestValue() {
        return mLatestValue;
    }

    /**
     * Set latest value
     *
     * @param latestValue device latest value
     */
    public void setLatestValue(Integer latestValue) {
        mLatestValue = latestValue;
    }

    /**
     * Convert object to string
     *
     * @return device name
     */
    @NonNull
    @Override
    public String toString() {
        return getName();
    }
}
