package com.example.smartgarden.rest.model;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class Driver {

    @SerializedName("_id")
    private String mId;

    @SerializedName("name")
    private String mName;

    @SerializedName("input_ports")
    private List<Port> mInputPorts;

    @SerializedName("output_ports")
    private List<Port> mOutputPorts;

    /**
     * Get driver id
     *
     * @return driver id
     */
    public String getId() {
        return mId;
    }

    /**
     * Get driver name
     *
     * @return driver name
     */
    public String getName() {
        return mName;
    }

    /**
     * Get driver input ports
     *
     * @return driver input ports
     */
    public List<Port> getInputPorts() {
        return mInputPorts;
    }

    /**
     * Get driver input output ports
     *
     * @return driver output ports
     */
    public List<Port> getOutputPorts() {
        return mOutputPorts;
    }

    /**
     * Convert object to string
     *
     * @return driver name
     */
    @NonNull
    @Override
    public String toString() {
        return getName();
    }
}

