package com.example.smartgarden.rest.model;

import com.google.gson.annotations.SerializedName;

import java.util.Date;

public class Log {

    @SerializedName("_id")
    private String mId;

    @SerializedName("user_id")
    private String mUserId;

    @SerializedName("date")
    private long mDate;

    @SerializedName("event")
    private String mEvent;

    @SerializedName("description")
    private String mDescription;

    /**
     * Get log id
     *
     * @return log id
     */
    public String getId() {
        return mId;
    }

    /**
     * Get log user id
     *
     * @return log user id
     */
    public String getUserId() {
        return mUserId;
    }

    /**
     * Get log date
     *
     * @return log date
     */
    public Date getDate() {
        return new Date(mDate * 1000);
    }

    /**
     * Get log event
     *
     * @return log event
     */
    public String getEvent() {
        return mEvent;
    }

    /**
     * Get log description
     *
     * @return log description
     */
    public String getDescription() {
        return mDescription;
    }
}
