package com.example.smartgarden.rest.model;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

public class Port {

    @SerializedName("name")
    private String mName;

    @SerializedName("location")
    private String mLocation;

    /**
     * Get port name
     *
     * @return port name
     */
    public String getName() {
        return mName;
    }

    /**
     * Get port location
     *
     * @return port location
     */
    public String getLocation() {
        return mLocation;
    }

    /**
     * Convert object to string
     *
     * @return port name
     */
    @NonNull
    @Override
    public String toString() {
        return getName();
    }

    /**
     * Check if port is equal to another
     *
     * @param obj port to compare
     * @return true if two objects are equal, otherwise false
     */
    @Override
    public boolean equals(Object obj) {
        return this.getLocation().equals(((Port) obj).getLocation())
                && this.getName().equals(((Port) obj).getName());
    }
}
