package com.example.smartgarden.ui.model;

import java.util.ArrayList;
import java.util.List;

public class MenuContent {

    public static final List<MenuItem> ITEMS = new ArrayList<>();

    public static final int ITEM_DASHBOARD = 0;
    public static final int ITEM_ADD_BOARD = 1;
    public static final int ITEM_ADD_DEVICE = 2;
    public static final int ITEM_ADD_SCHEDULE = 3;
    public static final int ITEM_LOG = 4;
    public static final int ITEM_EXPORT_IMPORT = 5;
    public static final int ITEM_HOW_TO = 6;

    static {
        addItem(new MenuItem(ITEM_DASHBOARD, "DASHBOARD"));
        addItem(new MenuItem(ITEM_ADD_BOARD, "ADD BOARD"));
        addItem(new MenuItem(ITEM_ADD_DEVICE, "ADD DEVICE"));
        addItem(new MenuItem(ITEM_ADD_SCHEDULE, "ADD SCHEDULE"));
        addItem(new MenuItem(ITEM_LOG, "LOGS"));
        addItem(new MenuItem(ITEM_EXPORT_IMPORT, "EXPORT/IMPORT"));
        addItem(new MenuItem(ITEM_HOW_TO, "HOW TO"));
    }

    /**
     * Add item to menu
     *
     * @param item menu item
     */
    private static void addItem(MenuItem item) {
        ITEMS.add(item);
    }

    public static class MenuItem {
        public final int id;
        public final String title;

        /**
         * Constructor
         *
         * @param id    menu item id
         * @param title menu item title
         */
        MenuItem(int id, String title) {
            this.id = id;
            this.title = title;
        }

        /**
         * Convert object to string
         *
         * @return menu title
         */
        @Override
        public String toString() {
            return title;
        }
    }
}
