package com.example.smartgarden.ui.utils;

import com.example.smartgarden.ui.constants.UiConstants;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class Utils {

    /**
     * Get random generated ID_SIZE characters id
     *
     * @return random id
     */
    static public String getAutomaticId() {
        Random random = new Random();
        StringBuilder randomBuilder = new StringBuilder(UiConstants.ID_SIZE);

        for (int i = 0; i < UiConstants.ID_SIZE; i++) {
            randomBuilder.append(UiConstants.DATA_CHARACTERS.charAt(random.nextInt(
                    UiConstants.DATA_CHARACTERS.length())));
        }
        return randomBuilder.toString();
    }

    /**
     * Check if startTime is before endTime
     *
     * @param startTime start time
     * @param endTime   end time
     * @return true if startTime is before endTime, otherwise return false
     */
    static public boolean checkTimes(String startTime, String endTime) {

        String pattern = "HH:mm";
        SimpleDateFormat sdf = new SimpleDateFormat(pattern);

        try {
            Date date1 = sdf.parse(startTime);
            Date date2 = sdf.parse(endTime);

            return date1.before(date2);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return false;
    }

    /**
     * Return if trigger value is between 0 and 100
     *
     * @param value value to check
     * @return true if trigger value is between 0 and 100, otherwise return false
     */
    static public boolean checkTriggerValue(int value) {
        return value <= 100 && value > 0;
    }
}
